Subject: (urth) beards and walkers

From: Alice Turner <al at interport.net>
Date: Mon, 08 Jun 1998 08:27:57 +0000

A "beard" in the sense of an opposite-sex escort to give the illusion of a
heterosexual couple is a homo (and hetero, actually) sexual slang term that
has been around for quite a while. The Dictionary of Contemporary Slang
dates it to the mid-70s, but I think that, at least in New York City, it may
go back to the late 60s. The DSC, to my surprise, tags it as a male escort
(for a woman), but that's wrong. A beard is usually a female escort for a
man; the male equivalent (for a woman, not necessarily a lesbian) is a
walker.

-alga-

*More Wolfe info & archive of this list at http://www.urth.net/urth/